Bug 197552 - Review Request: perl-Set-Infinite
Review Request: perl-Set-Infinite
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 197726
  Show dependency treegraph
 
Reported: 2006-07-03 20:05 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-07 13:24:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-07-03 20:05:02 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Set-Infinite/perl-Set-Infinite.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Set-Infinite-0.61-1.src.rpm
Description:
Set::Infinite is a Set Theory module for infinite sets.
Comment 1 Jason Tibbitts 2006-07-06 00:25:42 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   c9912f4ee6ac2e2291be94a5a2bd11f2  Set-Infinite-0.61.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* no debuginfo package (noarch)
* final provides and requires are sane:
   perl(Set::Infinite) = 0.61
   perl(Set::Infinite::Arithmetic)
   perl(Set::Infinite::Basic)
   perl-Set-Infinite = 0.61-1.fc6
  =
   perl >= 0:5.005_03
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Data::Dumper)
   perl(Exporter)
   perl(POSIX)
   perl(Set::Infinite::Arithmetic)
   perl(Time::Local)
   perl(base)
   perl(constant)
   perl(strict)
   perl(vars)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=10, Tests=442,  3 wallclock secs ( 3.29 cusr +  0.17 csys =  3.46 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-07-07 13:24:05 EDT
Imported into CVS, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.